<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF6250"
	title	= "EXCEL入力"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<og:upload
	fileURL		= "{@USER.ID}"
/>

<og:equals val1="{@SQL_TEXT}{@table}" nullCheck="true" >
	<og:readTable
		readerClass		= "{@readerClass}"
		command			= "{@command}"
		fileURL			= "{@USER.ID}"
		filename		= "{@file1}"
		separator		= "{@separator}"
		encode			= "{@encode}"
		columns			= "{@columns}"
		omitNames		= "{@omitNames}"
		modifyType		= "{@modifyType}"
		skipRowCount	= "{@skipRowCount}"
		maxRowCount		= "{@maxRowCount}"
		errRowCount		= "{@errRowCount}"
		sheetName		= "{@sheetName}"
		sheetNos		= "{@sheetNos}"
		sheetConstKeys	= "{@sheetConstKeys}"
		sheetConstAdrs	= "{@sheetConstAdrs}"
		nullBreakClm	= "{@nullBreakClm}"
		useNumber		= "{@useNumber}"
		useRepeatClms	= "{@useRepeatClms}"
		useRenderer		= "{@useRenderer}"
		adjustColumns	= "{@adjustColumns}"
		checkColumns	= "{@checkColumns}"
		nullCheck		= "{@nullCheck}"
		matchKeys		= "{@matchKeys1},{@matchKeys2},{@matchKeys3},{@matchKeys4},{@matchKeys5}"
		matchVals		= "{@matchVals1},{@matchVals2},{@matchVals3},{@matchVals4},{@matchVals5}"
		stopZero		= "{@stopZero}"
		debug			= "{@debug}"
	/>
</og:equals>

<og:equals val1="{@readerClass}" val2="POI">
	<og:equals val1="{@columns}" val2="YMD"  contains="true">
		<og:entry command="ENTRY" selectedAll="true">
			<og:columnSet command="ENTRY" columnId="YMD" action="SET" value="{@DATE.YMDHMS}"/>
		</og:entry>
	</og:equals>

	<og:equals val1="{@columns}" nullCheck="true">
		<og:tableMerge
			action	  = "ADD_CLM"
			unionClms = "YMD"
		/>
		<og:entry command="ENTRY" selectedAll="true">
			<og:columnSet command="ENTRY" columnId="YMD" action="SET" value="{@DATE.YMDHMS}"/>
		</og:entry>
	</og:equals>
</og:equals>

<og:equals val1="{@SQL_TEXT}{@table}" val2="{@SQL_TEXT}{@table}" >
	<og:directTableInsert
		readerClass		= "{@readerClass}"
			dbid			= "{@DBID}"
			table			= "{@table}"
			commitBatch		= "{@commitBatch}"
			displayMsg		= "MSG0040"
		command			= "{@command}"
		fileURL			= "{@USER.ID}"
		filename		= "{@file1}"
		separator		= "{@separator}"
		encode			= "{@encode}"
		columns			= "{@columns}"
		omitNames		= "{@omitNames}"
		modifyType		= "{@modifyType}"
		skipRowCount	= "{@skipRowCount}"
		maxRowCount		= "{@maxRowCount}"
		errRowCount		= "{@errRowCount}"
		sheetName		= "{@sheetName}"
		sheetNos		= "{@sheetNos}"
		sheetConstKeys	= "{@sheetConstKeys}"
		sheetConstAdrs	= "{@sheetConstAdrs}"
		nullBreakClm	= "{@nullBreakClm}"
		useNumber		= "{@useNumber}"
		useRepeatClms	= "{@useRepeatClms}"
		useRenderer		= "{@useRenderer}"
		adjustColumns	= "{@adjustColumns}"
		checkColumns	= "{@checkColumns}"
		nullCheck		= "{@nullCheck}"
		matchKeys		= "{@matchKeys1},{@matchKeys2},{@matchKeys3},{@matchKeys4},{@matchKeys5}"
		matchVals		= "{@matchVals1},{@matchVals2},{@matchVals3},{@matchVals4},{@matchVals5}"
		stopZero		= "{@stopZero}"
		debug			= "{@debug}"
	>
		{@SQL_TEXT}
	</og:directTableInsert>
</og:equals>

<form method="POST" action="forward.jsp" target="RESULT">
	<og:writeCheck>
		<og:column  name="DBID"  codeKeyVal="{@DBID_INFO}" />
		<og:column  name="TABLE" />
		<og:submit  action="ENTRY" lbl="insertAll" />
		<br />
	</og:writeCheck>

	<og:text>NAMES={@DB.NAMES} , SHEET={@DB.SHEET_NAME}</og:text>

	<og:view
		viewFormType= "HTMLTable"
		command		= "{@command}"
		checked		= "true"
		startNo		= "{@startNo}"
		pageSize	= "{@pageSize}" />
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
